#define E_OK    0
#define E_FAIL  1
#define E_FATAL 2

#define WARNING 1
#define ERROR   2
#define INFO    3
#define HINT    4

#define GETTEXT_DOMAIN "sectool"
#define GETTEXT_LOCALEDIR "/usr/share/locale"

struct envinit_t {
  const char *env_var;
  char       **varptr;
};

void *xmalloc   (size_t);
void *xrealloc  (void *, size_t);
void  init_env  (struct envinit_t e[]);
void  test_exit (int, const char *, ...);
void  report    (int, int, const char *, ...);

#define _(string) gettext(string)
